CommetCommet
GitHubDiscordStatus
Create webhook endpoint POSTDelete webhook endpoint DELETEGet webhook endpoint GETList webhook endpoints GETTest webhook endpoint POSTUpdate webhook endpoint PATCH
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete webhook endpoint

Permanently delete a webhook endpoint.

DELETE
/webhooks/{id}

Permanently delete a webhook endpoint.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/webhooks/string"
{  "id": "wh_1a2b3c4d",  "deleted": true,  "object": "webhook",  "livemode": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Create webhook endpoint POST

Create a new webhook endpoint. The response includes the signing secret which is only returned once.

Get webhook endpoint GET

Retrieve a webhook endpoint by its public ID.